import 'package:libac_dart/argparse/Args.dart';

class IntegerArgument extends Argument<int> {
  final int value;

  IntegerArgument(
      {required super.name, required this.value, super.description = ""}) {
    hasValue = value != 0;
  }

  @override
  int getValue() {
    return value;
  }

  @override
  ArgumentType getType() {
    return ArgumentType.INTEGER;
  }

  @override
  String toString() {
    return "IntegerArgument{ ${name}=${value} }";
  }
}

class DoubleArgument extends Argument<double> {
  final double value;

  DoubleArgument(
      {required super.name, required this.value, super.description = ""}) {
    hasValue = value != 0.0;
  }

  @override
  ArgumentType getType() {
    return ArgumentType.DOUBLE;
  }

  @override
  double getValue() {
    return value;
  }

  @override
  String toString() {
    return "DoubleArgument{ ${name}=${value} }";
  }
}
