import 'package:libac_dart/argparse/Args.dart';

class StringArgument extends Argument<String> {
  final String value;

  StringArgument(
      {required super.name, required this.value, super.description}) {
    hasValue = value.isNotEmpty;
  }

  @override
  String getValue() {
    return value;
  }

  @override
  ArgumentType getType() {
    return ArgumentType.STRING;
  }

  @override
  String toString() {
    return "StringArgument{ ${name}=${value} }";
  }
}
